抢先体验功能

Moses Skoda工程师预计阅读 1 分钟

API 返回 403 Forbidden 时,会附带此问题详情。其 type 为 https://lingo.dev/docs/api/errors/feature-flag-required。所有错误的通用结构请参阅错误和状态码。

组织 <organizationId> 无法使用 <flag>:此功能仅向纳入抢先体验范围的组织开放。请省略请求使用此功能的选项,或联系 Lingo.dev 支持团队,为此组织启用 <flag>。

字段#

除标准成员 type、status、title 和 detail 外,响应体还包含以下字段。detail 文本由这些字段生成,因此客户端也可以据此显示自定义文本。

字段类型
organizationIdstring
flagstring

示例#

json
{
  "detail": "Organization <organizationId> cannot use <flag>: it is open only to organizations in its early-access rollout. Leave out the option that asks for it, or ask Lingo.dev support to enable <flag> for this organization.",
  "organizationId": "<organizationId>",
  "flag": "<flag>",
  "type": "https://lingo.dev/docs/api/errors/feature-flag-required",
  "status": 403,
  "title": "Feature in early access"
}

返回此错误的端点#

  • POST /v2/organizations/{orgId}/localization/jobs